## rust-repro-env 0.4.1

=== Makefile ===
build:
	cargo run --release -- build -- make build2
	sha256sum target/x86_64-unknown-linux-musl/release/repro-env

build2:
	RUSTFLAGS="-C strip=symbols" \
	cargo build --target x86_64-unknown-linux-musl --release

docs: docs/repro-env.1

docs/%: docs/%.scd
	scdoc < $^ > $@

.PHONY: build build2 docs

## rust-repro-env 0.3.3

=== debian/changelog ===
rust-repro-env (0.3.3-2) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.3.3 from crates.io using debcargo 2.6.1
  * Relax dependencies on indexmap and nix.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Feb 2024 23:08:55 +0000

rust-repro-env (0.3.3-1) unstable; urgency=medium

  * Package repro-env 0.3.3 from crates.io using debcargo 2.6.1

 -- kpcyrd <git@rxv.cc>  Sun, 18 Feb 2024 13:51:27 +0100

rust-repro-env (0.3.2-3) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.3.2 from crates.io using debcargo 2.6.1

 -- Peter Michael Green <plugwash@debian.org>  Tue, 30 Jan 2024 17:53:18 +0000

rust-repro-env (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.3.2 from crates.io using debcargo 2.6.1
  * Bump ruzstd to 0.5.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 05 Jan 2024 23:51:11 +0000

rust-repro-env (0.3.2-1) unstable; urgency=medium

  * Package repro-env 0.3.2 from crates.io using debcargo 2.6.0

 -- kpcyrd <git@rxv.cc>  Wed, 18 Oct 2023 14:12:55 +0200

rust-repro-env (0.3.1-1) unstable; urgency=medium

  * Package repro-env 0.3.1 from crates.io using debcargo 2.6.0

 -- kpcyrd <git@rxv.cc>  Tue, 19 Sep 2023 22:10:56 +0200

=== debian/control ===
Source: rust-repro-env
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.71-~~),
 librust-ar-0.9+default-dev,
 librust-bytes-1+default-dev (>= 1.4.0-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-complete-4+default-dev,
 librust-clone-file-0.1+default-dev,
 librust-data-encoding-2+default-dev (>= 2.4.0-~~),
 librust-dirs-5+default-dev (>= 5.0.1-~~),
 librust-env-logger-0.10+default-dev,
 librust-fd-lock-3+default-dev,
 librust-flate2-1+default-dev (>= 1.0.26-~~),
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap+default-dev (>= 1-~~),
 librust-indexmap+serde-dev (>= 1-~~),
 librust-log-0.4+default-dev (>= 0.4.19-~~),
 librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-memchr-2+default-dev (>= 2.5.0-~~),
 librust-nix-0+sched-dev (>= 0.26-~~),
 librust-peekread-0.1+default-dev (>= 0.1.1-~~),
 librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
 librust-ruzstd-0.5+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.5-~~),
 librust-sha2-0.10+default-dev (>= 0.10.7-~~),
 librust-tar-0.4+default-dev (>= 0.4.38-~~),
 librust-tempfile-3+default-dev (>= 3.6.0-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+signal-dev,
 librust-toml-0.8+default-dev,
 librust-urlencoding-2+default-dev (>= 2.1.2-~~),
 bash-completion,
 scdoc
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/repro-env]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/repro-env
X-Cargo-Crate: repro-env
Rules-Requires-Root: no

Package: librust-repro-env-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.71-~~),
 librust-ar-0.9+default-dev,
 librust-bytes-1+default-dev (>= 1.4.0-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-complete-4+default-dev,
 librust-clone-file-0.1+default-dev,
 librust-data-encoding-2+default-dev (>= 2.4.0-~~),
 librust-dirs-5+default-dev (>= 5.0.1-~~),
 librust-env-logger-0.10+default-dev,
 librust-fd-lock-3+default-dev,
 librust-flate2-1+default-dev (>= 1.0.26-~~),
 librust-hex-0.4+default-dev (>= 0.4.3-~~),
 librust-indexmap+default-dev (>= 1-~~),
 librust-indexmap+serde-dev (>= 1-~~),
 librust-log-0.4+default-dev (>= 0.4.19-~~),
 librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-memchr-2+default-dev (>= 2.5.0-~~),
 librust-nix-0+sched-dev (>= 0.26-~~),
 librust-peekread-0.1+default-dev (>= 0.1.1-~~),
 librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
 librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
 librust-ruzstd-0.5+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-sha1-0.10+default-dev (>= 0.10.5-~~),
 librust-sha2-0.10+default-dev (>= 0.10.7-~~),
 librust-tar-0.4+default-dev (>= 0.4.38-~~),
 librust-tempfile-3+default-dev (>= 3.6.0-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+signal-dev,
 librust-toml-0.8+default-dev,
 librust-urlencoding-2+default-dev (>= 2.1.2-~~)
Provides:
 librust-repro-env+default-dev (= ${binary:Version}),
 librust-repro-env-0-dev (= ${binary:Version}),
 librust-repro-env-0+default-dev (= ${binary:Version}),
 librust-repro-env-0.3-dev (= ${binary:Version}),
 librust-repro-env-0.3+default-dev (= ${binary:Version}),
 librust-repro-env-0.3.3-dev (= ${binary:Version}),
 librust-repro-env-0.3.3+default-dev (= ${binary:Version})
Description: Dependency lockfiles for reproducible build environments 📦🔒 - Rust source code
 Source code for Debianized Rust crate "repro-env"

Package: repro-env
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends},
 catatonit,
 podman
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Dependency lockfiles for reproducible build environments
 Tracks a description of a desired state in *repro-env.toml*, for example, the
 latest version of some official container image, with the latest patch level
 and the latest version of some additional packages.
 It also tracks a resolved variant in *repro-env.lock* that tracks the
 specific versions and checksums of the packages needed to set up the described
 environment (at the patch-level available at the time of writing).
 .
 The purpose of *repro-env.toml* is to make it trivial to re-resolve the
 specification if new patches become available. This file is read by *repro-
 env update*.
 .
 The purpose of *repro-env.lock* is to document which compiler versions have
 been used for the release binary associated with a given release. Recording
 this information is essential for reproducible builds and allows future
 forensic investigation of the build environment. It can be either committed
 into the source-code repository or attached to a release as an artifact, along
 with the compiled binary. This file is read by *repro-env build*.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.3.3 --all-targets --all-features
Features: test-name=rust-repro-env:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.3.3 --all-targets
Features: test-name=librust-repro-env-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.3.3 --all-targets --no-default-features
Features: test-name=librust-repro-env-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-repro-env 0.4.0

=== debian/changelog ===
rust-repro-env (0.4.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:15:54 +1100

rust-repro-env (0.4.0-1) unstable; urgency=medium

  * Package repro-env 0.4.0 from crates.io using debcargo 2.6.1
  * Fixes a bug causing some repro-env.lock to regress over time

 -- kpcyrd <git@rxv.cc>  Thu, 29 Feb 2024 19:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
  librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
  librust-ruzstd-0.5+default-dev,
+ librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -38,6 +39,8 @@
  librust-sha2-0.10+default-dev (>= 0.10.7-~~),
  librust-tar-0.4+default-dev (>= 0.4.38-~~),
  librust-tempfile-3+default-dev (>= 3.6.0-~~),
+ librust-time-0.3+default-dev,
+ librust-time-0.3+formatting-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+fs-dev,
  librust-tokio-1+macros-dev,
@@ -48,7 +51,8 @@
  librust-urlencoding-2+default-dev (>= 2.1.2-~~),
  bash-completion,
  scdoc
-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
 Standards-Version: 4.6.2
@@ -87,6 +91,7 @@
  librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
  librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
  librust-ruzstd-0.5+default-dev,
+ librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -94,6 +99,8 @@
  librust-sha2-0.10+default-dev (>= 0.10.7-~~),
  librust-tar-0.4+default-dev (>= 0.4.38-~~),
  librust-tempfile-3+default-dev (>= 3.6.0-~~),
+ librust-time-0.3+default-dev,
+ librust-time-0.3+formatting-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+fs-dev,
  librust-tokio-1+macros-dev,
@@ -106,10 +113,10 @@
  librust-repro-env+default-dev (= ${binary:Version}),
  librust-repro-env-0-dev (= ${binary:Version}),
  librust-repro-env-0+default-dev (= ${binary:Version}),
- librust-repro-env-0.3-dev (= ${binary:Version}),
- librust-repro-env-0.3+default-dev (= ${binary:Version}),
- librust-repro-env-0.3.3-dev (= ${binary:Version}),
- librust-repro-env-0.3.3+default-dev (= ${binary:Version})
+ librust-repro-env-0.4-dev (= ${binary:Version}),
+ librust-repro-env-0.4+default-dev (= ${binary:Version}),
+ librust-repro-env-0.4.0-dev (= ${binary:Version}),
+ librust-repro-env-0.4.0+default-dev (= ${binary:Version})
 Description: Dependency lockfiles for reproducible build environments 📦🔒 - Rust source code
  Source code for Debianized Rust crate "repro-env"

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all

override_dh_install:
	mkdir -p \
		debian/repro-env/usr/share/bash-completion/completions \
		debian/repro-env/usr/share/zsh/vendor-completions \
		debian/repro-env/usr/share/fish/completions
	debian/repro-env/usr/bin/repro-env completions bash > debian/repro-env/usr/share/bash-completion/completions/repro-env
	debian/repro-env/usr/bin/repro-env completions zsh > debian/repro-env/usr/share/zsh/vendor-completions/_repro-env
	debian/repro-env/usr/bin/repro-env completions fish > debian/repro-env/usr/share/fish/completions/repro-env.fish
	dh_install
	dh_missing

override_dh_installman:
	scdoc < docs/repro-env.1.scd > debian/repro-env.1
	dh_installman -O--buildsystem=cargo

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.0 --all-targets --all-features
Features: test-name=rust-repro-env:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.0 --all-targets
Features: test-name=librust-repro-env-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.0 --all-targets --no-default-features
Features: test-name=librust-repro-env-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/repro-env-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/repro-env .*/crates/repro-env/@ANY_VERSION@/download

## rust-repro-env 0.4.1

=== debian/changelog ===
rust-repro-env (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.4.1 from crates.io using debcargo 2.7.5
  * Relax dependencies on env-logger, fd-lock and ruzstd.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 17 Dec 2024 22:08:43 +0000

rust-repro-env (0.4.1-1) unstable; urgency=medium

  * Package repro-env 0.4.1 from crates.io using debcargo 2.6.1

 -- kpcyrd <git@rxv.cc>  Tue, 30 Jul 2024 17:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-repro-env
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -15,22 +15,22 @@
  librust-clone-file-0.1+default-dev,
  librust-data-encoding-2+default-dev (>= 2.4.0-~~),
  librust-dirs-5+default-dev (>= 5.0.1-~~),
- librust-env-logger-0.10+default-dev,
- librust-fd-lock-3+default-dev,
+ librust-env-logger-0+default-dev (>= 0.10-~~),
+ librust-fd-lock+default-dev (>= 3-~~),
  librust-flate2-1+default-dev (>= 1.0.26-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
- librust-indexmap+default-dev (>= 1-~~),
- librust-indexmap+serde-dev (>= 1-~~),
+ librust-indexmap-2+default-dev (>= 2.1.0-~~),
+ librust-indexmap-2+serde-dev (>= 2.1.0-~~),
  librust-log-0.4+default-dev (>= 0.4.19-~~),
  librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
  librust-lzma-rs-0.3+default-dev,
  librust-memchr-2+default-dev (>= 2.5.0-~~),
  librust-nix-0+sched-dev (>= 0.26-~~),
  librust-peekread-0.1+default-dev (>= 0.1.1-~~),
- librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~),
- librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
- librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
- librust-ruzstd-0.5+default-dev,
+ librust-reqwest-0.11+rustls-tls-native-roots-dev,
+ librust-reqwest-0.11+socks-dev,
+ librust-reqwest-0.11+stream-dev,
+ librust-ruzstd-0+default-dev (>= 0.5-~~),
  librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -51,13 +51,13 @@
  librust-urlencoding-2+default-dev (>= 2.1.2-~~),
  bash-completion,
  scdoc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/repro-env]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/repro-env
+Homepage: https://github.com/kpcyrd/repro-env
 X-Cargo-Crate: repro-env
 Rules-Requires-Root: no
 
@@ -75,22 +75,22 @@
  librust-clone-file-0.1+default-dev,
  librust-data-encoding-2+default-dev (>= 2.4.0-~~),
  librust-dirs-5+default-dev (>= 5.0.1-~~),
- librust-env-logger-0.10+default-dev,
- librust-fd-lock-3+default-dev,
+ librust-env-logger-0+default-dev (>= 0.10-~~),
+ librust-fd-lock+default-dev (>= 3-~~),
  librust-flate2-1+default-dev (>= 1.0.26-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
- librust-indexmap+default-dev (>= 1-~~),
- librust-indexmap+serde-dev (>= 1-~~),
+ librust-indexmap-2+default-dev (>= 2.1.0-~~),
+ librust-indexmap-2+serde-dev (>= 2.1.0-~~),
  librust-log-0.4+default-dev (>= 0.4.19-~~),
  librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
  librust-lzma-rs-0.3+default-dev,
  librust-memchr-2+default-dev (>= 2.5.0-~~),
  librust-nix-0+sched-dev (>= 0.26-~~),
  librust-peekread-0.1+default-dev (>= 0.1.1-~~),
- librust-reqwest-0.11+rustls-tls-native-roots-dev (>= 0.11.18-~~),
- librust-reqwest-0.11+stream-dev (>= 0.11.18-~~),
- librust-reqwest-0.11+tokio-socks-dev (>= 0.11.18-~~),
- librust-ruzstd-0.5+default-dev,
+ librust-reqwest-0.11+rustls-tls-native-roots-dev,
+ librust-reqwest-0.11+socks-dev,
+ librust-reqwest-0.11+stream-dev,
+ librust-ruzstd-0+default-dev (>= 0.5-~~),
  librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -115,8 +115,8 @@
  librust-repro-env-0+default-dev (= ${binary:Version}),
  librust-repro-env-0.4-dev (= ${binary:Version}),
  librust-repro-env-0.4+default-dev (= ${binary:Version}),
- librust-repro-env-0.4.0-dev (= ${binary:Version}),
- librust-repro-env-0.4.0+default-dev (= ${binary:Version})
+ librust-repro-env-0.4.1-dev (= ${binary:Version}),
+ librust-repro-env-0.4.1+default-dev (= ${binary:Version})
 Description: Dependency lockfiles for reproducible build environments 📦🔒 - Rust source code
  Source code for Debianized Rust crate "repro-env"
 
@@ -137,7 +137,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Dependency lockfiles for reproducible build environments
  Tracks a description of a desired state in *repro-env.toml*, for example, the
  latest version of some official container image, with the latest patch level

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.1 --all-targets --all-features
Features: test-name=rust-repro-env:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.1 --all-targets
Features: test-name=librust-repro-env-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.1 --all-targets --no-default-features
Features: test-name=librust-repro-env-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

## rust-repro-env 0.4.3

=== debian/changelog ===
rust-repro-env (0.4.3-3) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.4.3 from crates.io using debcargo 2.7.11
  * Relax dependency on nix.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 11 Oct 2025 00:35:37 +0000

rust-repro-env (0.4.3-2) unstable; urgency=medium

  * Team upload.
  * Package repro-env 0.4.3 from crates.io using debcargo 2.7.8
  * Bump dependency on reqwest to 0.12.12.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 01 Apr 2025 01:35:14 +0000

rust-repro-env (0.4.3-1) unstable; urgency=medium

  * Package repro-env 0.4.3 from crates.io using debcargo 2.7.8
  * Fix build with rust-sequoia-openpgp 2.0.0

 -- kpcyrd <git@rxv.cc>  Mon, 31 Mar 2025 20:13:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ bash-completion,
+ scdoc
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-anyhow-1+default-dev (>= 1.0.71-~~),
@@ -14,9 +16,9 @@
  librust-clap-complete-4+default-dev,
  librust-clone-file-0.1+default-dev,
  librust-data-encoding-2+default-dev (>= 2.4.0-~~),
- librust-dirs-5+default-dev (>= 5.0.1-~~),
- librust-env-logger-0+default-dev (>= 0.10-~~),
- librust-fd-lock+default-dev (>= 3-~~),
+ librust-dirs-5+default-dev,
+ librust-env-logger-0.11+default-dev,
+ librust-fd-lock-3+default-dev,
  librust-flate2-1+default-dev (>= 1.0.26-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev (>= 2.1.0-~~),
@@ -25,13 +27,13 @@
  librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
  librust-lzma-rs-0.3+default-dev,
  librust-memchr-2+default-dev (>= 2.5.0-~~),
- librust-nix-0+sched-dev (>= 0.26-~~),
+ librust-nix-0+sched-dev (>= 0.29-~~),
  librust-peekread-0.1+default-dev (>= 0.1.1-~~),
- librust-reqwest-0.11+rustls-tls-native-roots-dev,
- librust-reqwest-0.11+socks-dev,
- librust-reqwest-0.11+stream-dev,
- librust-ruzstd-0+default-dev (>= 0.5-~~),
- librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
+ librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+socks-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+stream-dev (>= 0.12.12-~~),
+ librust-ruzstd-0.7+default-dev,
+ librust-sequoia-openpgp-2+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -48,18 +50,15 @@
  librust-tokio-1+rt-multi-thread-dev,
  librust-tokio-1+signal-dev,
  librust-toml-0.8+default-dev,
- librust-urlencoding-2+default-dev (>= 2.1.2-~~),
- bash-completion,
- scdoc
+ librust-urlencoding-2+default-dev (>= 2.1.2-~~)
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  kpcyrd <git@rxv.cc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/repro-env]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/repro-env
 Homepage: https://github.com/kpcyrd/repro-env
 X-Cargo-Crate: repro-env
-Rules-Requires-Root: no
 
 Package: librust-repro-env-dev
 Architecture: any
@@ -74,9 +73,9 @@
  librust-clap-complete-4+default-dev,
  librust-clone-file-0.1+default-dev,
  librust-data-encoding-2+default-dev (>= 2.4.0-~~),
- librust-dirs-5+default-dev (>= 5.0.1-~~),
- librust-env-logger-0+default-dev (>= 0.10-~~),
- librust-fd-lock+default-dev (>= 3-~~),
+ librust-dirs-5+default-dev,
+ librust-env-logger-0.11+default-dev,
+ librust-fd-lock-3+default-dev,
  librust-flate2-1+default-dev (>= 1.0.26-~~),
  librust-hex-0.4+default-dev (>= 0.4.3-~~),
  librust-indexmap-2+default-dev (>= 2.1.0-~~),
@@ -85,13 +84,13 @@
  librust-lz4-flex-0.11+default-dev (>= 0.11.1-~~),
  librust-lzma-rs-0.3+default-dev,
  librust-memchr-2+default-dev (>= 2.5.0-~~),
- librust-nix-0+sched-dev (>= 0.26-~~),
+ librust-nix-0+sched-dev (>= 0.29-~~),
  librust-peekread-0.1+default-dev (>= 0.1.1-~~),
- librust-reqwest-0.11+rustls-tls-native-roots-dev,
- librust-reqwest-0.11+socks-dev,
- librust-reqwest-0.11+stream-dev,
- librust-ruzstd-0+default-dev (>= 0.5-~~),
- librust-sequoia-openpgp-1+default-dev (>= 1.18-~~),
+ librust-reqwest-0.12+rustls-tls-native-roots-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+socks-dev (>= 0.12.12-~~),
+ librust-reqwest-0.12+stream-dev (>= 0.12.12-~~),
+ librust-ruzstd-0.7+default-dev,
+ librust-sequoia-openpgp-2+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
@@ -115,14 +114,13 @@
  librust-repro-env-0+default-dev (= ${binary:Version}),
  librust-repro-env-0.4-dev (= ${binary:Version}),
  librust-repro-env-0.4+default-dev (= ${binary:Version}),
- librust-repro-env-0.4.1-dev (= ${binary:Version}),
- librust-repro-env-0.4.1+default-dev (= ${binary:Version})
+ librust-repro-env-0.4.3-dev (= ${binary:Version}),
+ librust-repro-env-0.4.3+default-dev (= ${binary:Version})
 Description: Dependency lockfiles for reproducible build environments 📦🔒 - Rust source code
  Source code for Debianized Rust crate "repro-env"
 
 Package: repro-env
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},
@@ -131,7 +129,8 @@
  catatonit,
  podman
 Recommends:
- ${cargo:Recommends}
+ ${cargo:Recommends},
+ ca-certificates
 Suggests:
  ${cargo:Suggests}
 Provides:

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.3 --all-targets --all-features
Features: test-name=rust-repro-env:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.3 --all-targets
Features: test-name=librust-repro-env-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test repro-env 0.4.3 --all-targets --no-default-features
Features: test-name=librust-repro-env-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/repro-env
Matching-Pattern:  .*/crates/repro-env/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/repro-env-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
